For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update stocktaking details

Update stocktaking for warehouse

Required permissions: STOCKTAKING

put
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
stocktakingUidstringRequired

Reference to a Stocktaking.

Pattern: ^[A-Za-z0-9-_]+
Body
descriptionstringRequired
statusstring · enumRequired
ENUMDescription
NOT_STARTEDStock counting not started
IN_PROGRESSStock counting is in progress. Registraions can be made.
COMPLETEStock counting is complete
DELETEDStock counting is deleted, stock not adjusted
CONTROLStock counting is in control mode, no further registrations can be made
Possible values:
Responses
200

Example response

application/json

Stock Counting response schema

createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
statusstring · enumRequired
ENUMDescription
NOT_STARTEDStock counting not started
IN_PROGRESSStock counting is in progress. Registraions can be made.
COMPLETEStock counting is complete
DELETEDStock counting is deleted, stock not adjusted
CONTROLStock counting is in control mode, no further registrations can be made
Possible values:
stocktakingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
typestring · enumRequired
ENUMDescription
FULLStock counting containing all productUids in tenant
PARTIALStock counting containing a list of specific producdIds
RECOUNTMake a new stock taking with a set of productUids to be recounted
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
withStockbooleanRequired
put/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "description": "text",
  "status": "NOT_STARTED"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "status": "NOT_STARTED",
  "stocktakingUid": "text",
  "type": "FULL",
  "warehouseUid": "text",
  "withStock": true
}

Last updated

Was this helpful?